# Home Page Configuration
# Configure all content and settings for the home page

# SEO Configuration
[seo]
title = "Nishikanta Ray - Software Engineer & Full Stack Developer"
description = "A passionate Full Stack Developer, explorer, and freelancer with 3+ years of experience in designing, developing, and delivering innovative web solutions."
keywords = "Nishikanta Ray, Full Stack Developer, Software Engineer, Web Developer, JavaScript, TypeScript, React, Node.js, Open Source"
author = "Nishikanta Ray"
og_image = "https://avatars.githubusercontent.com/u/62615392?v=4"
og_url = "https://nishikanta.in/"
twitter_card = "summary_large_image"
twitter_creator = "@NishikantaRay"

[hero]
name = "Nishikanta Ray"
title = "Software Engineer & Full Stack Developer"
profile_image = "https://avatars.githubusercontent.com/u/62615392?v=4"  # Profile image URL
intro = [
    "I'm a passionate Software Engineer with expertise in full-stack development and a keen interest in creating innovative solutions. Currently working at <a href='https://letsflo.com' target='_blank' rel='noopener noreferrer'>@letsflo</a>  and actively building cool projects that solve real-world problems.",
]

[hero.actions]
primary_text = "View Resume"
primary_link = "resume.html"
secondary_text = "Let's Talk"
secondary_link = "https://us10.list-manage.com/contact-form?u=6de222a2f25969efb260c03d4&form_id=f68d4e9f93e132f6e275d7e4ee0bd76a"

[sections]
# Configure which sections to show and their order
enabled_sections = ["freelance-clients", "latest-products", "dashboard"]

[freelance_clients]
enabled = false
title = "Trusted by Clients"
subtitle = "Companies I've worked with"
contact_email = "nishikantaray1@gmail.com"
contact_text = "Contact Me"

# Client logos and information - supports emoji or image URL
[[freelance_clients.clients]]
id = 1
name = "Lets Flo (India)"
logo = "🚀"
logo_type = "emoji"
status = "current"
period = "Jul 2023 - Present"
project = "JavaScript Framework Development"

[[freelance_clients.clients]]
id = 2
name = "Teceads Solutions"
logo = "�"
logo_type = "emoji"
status = "completed"
period = "Jul 2022 - Jan 2023"
project = "E-commerce Platform & Carbon Estimation Tool"

[[freelance_clients.clients]]
id = 3
name = "Open Source Community"
logo = "🌟"
logo_type = "emoji"
status = "ongoing"
period = "2021 - Present"
project = "FlexiFrame CSS Library"

[[freelance_clients.clients]]
id = 4
name = "StudyTub Platform"
logo = "�"
logo_type = "emoji"
status = "active"
period = "2024 - Present"
project = "Educational Platform for B.Tech Students"

[[freelance_clients.clients]]
id = 5
name = "VS Code Community"
logo = "🔧"
logo_type = "emoji"
status = "active"
period = "2023 - Present"
project = "Bootstrap 5 Extension (19k+ installs)"

[[freelance_clients.clients]]
id = 6
name = "GitHub Community"
logo = "⭐"
logo_type = "emoji"
status = "active"
period = "2021 - Present"
project = "Open Source Contributions"

[latest_products]
enabled = false
title = "Latest Products"
subtitle = "Tools and apps I've built"
view_all_text = "View All Products"
view_all_link = "projects.html#products"

# Product showcase
[[latest_products.products]]
id = 1
title = "FlexiFrame CSS Library"
description = "A comprehensive CSS library with 25+ components and advanced layouts using Sass, designed for scalability and maintainability."
status = "launched"
technologies = ["Sass", "CSS", "BEM", "Components"]
version = "v1.0.0"
users = "Community driven"
live_url = "https://github.com/NishikantaRay/FlexiFrame"
github_url = "https://github.com/NishikantaRay/FlexiFrame"

[[latest_products.products]]
id = 2
title = "STUDYTUB Platform"
description = "Platform empowering B.Tech students with study materials. Built using Cloudflare Workers, ReactJS, NodeJS, and MongoDB."
status = "launched"
technologies = ["Cloudflare Workers", "ReactJS", "NodeJS", "MongoDB"]
version = "v2.0.0"
users = "4.5k+ users (as of 08-02-2025)"
live_url = "https://studytub.ml"
github_url = "https://github.com/NishikantaRay/StudyTub"

[[latest_products.products]]
id = 3
title = "Bootstrap 5 VS Code Extension"
description = "Bootstrap 5 and FontAwesome (4-6) snippets extension for VS Code with templates and utility snippets, enhancing web development."
status = "launched"
technologies = ["VS Code API", "JavaScript", "Bootstrap", "FontAwesome"]
version = "v4.2.0"
users = "19k+ installs (as of 11-02-2025)"
live_url = "https://marketplace.visualstudio.com/items?itemName=thekalinga.bootstrap4-vscode"
github_url = "https://github.com/NishikantaRay/Bootstrap-5-Vscode-Exension"

[dashboard]
enabled = false  # Set to true to enable dashboard
title = "Dashboard & Analytics"
subtitle = "Development metrics and insights"

# Dashboard sections control
[dashboard.sections]
charts = false           # Recent Projects, Tech Stack, Performance charts
recent_activity = false  # Recent activity feed
skills_progress = false  # Skills progress bars
statistics = false       # Stats grid
code_quality = false     # Code quality metrics
learning_progress = false # Currently learning section

[footer]
text = "Built with Marked.js"
link = "https://github.com/markedjs/marked"
year = 2024